print("register fruit type: soybean");

local hudFile = Utils.getFilename("mods/Map_Fruits/soyHud.png", getUserProfileAppPath());
FruitUtil.registerFruitType("soybean", true, true, false, 4, 0.4, 0.5, 0.05, 0.5, hudFile);

--local origLoadStatsFromXML = QuickPlayMenu.loadStatsFromXML;
local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;
end;




